package arm.node;

@:keep class L1_Env_Blocker extends armory.logicnode.LogicTree {

	public function new() { super(); notifyOnAdd(add); }

	override public function add() {
		var _SetRotation_001 = new armory.logicnode.SetRotationNode(this);
		var _SetLocation = new armory.logicnode.SetLocationNode(this);
		var _OnInit = new armory.logicnode.OnInitNode(this);
		_OnInit.addOutputs([_SetLocation]);
		_SetLocation.addInput(_OnInit, 0);
		_SetLocation.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation.addInput(new armory.logicnode.VectorNode(this, 12.0, 0.0, 2.0), 0);
		_SetLocation.addOutputs([_SetRotation_001]);
		_SetRotation_001.addInput(_SetLocation, 0);
		_SetRotation_001.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_001.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		_SetRotation_001.addOutputs([new armory.logicnode.NullNode(this)]);
		var _ArrayAdd = new armory.logicnode.ArrayAddNode(this);
		var _OnEvent = new armory.logicnode.OnEventNode(this);
		_OnEvent.property0 = "Score+1";
		_OnEvent.addOutputs([_ArrayAdd]);
		_ArrayAdd.addInput(_OnEvent, 0);
		var _Array_Integer_ = new armory.logicnode.ArrayIntegerNode(this);
		_Array_Integer_.addOutputs([_ArrayAdd]);
		var _Gate = new armory.logicnode.GateNode(this);
		_Gate.property0 = "Equal";
		_Gate.property1 = 9.999999747378752e-05;
		var _OnEvent_001 = new armory.logicnode.OnEventNode(this);
		_OnEvent_001.property0 = "Score+1";
		_OnEvent_001.addOutputs([_Gate]);
		_Gate.addInput(_OnEvent_001, 0);
		_Gate.addInput(_Array_Integer_, 1);
		var _Integer_001 = new armory.logicnode.IntegerNode(this);
		_Integer_001.addInput(new armory.logicnode.IntegerNode(this, 5), 0);
		_Integer_001.addOutputs([_Gate]);
		_Gate.addInput(_Integer_001, 0);
		var _SetLocation_001 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_001.addInput(_Gate, 0);
		_SetLocation_001.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_001.addInput(new armory.logicnode.VectorNode(this, 44.0, 0.0, 26.0), 0);
		var _SetRotation_003 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_003.addInput(_SetLocation_001, 0);
		_SetRotation_003.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_003.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SendEvent_007 = new armory.logicnode.SendEventNode(this);
		_SendEvent_007.addInput(_SetRotation_003, 0);
		_SendEvent_007.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_007.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_007.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_003.addOutputs([_SendEvent_007]);
		_SetLocation_001.addOutputs([_SetRotation_003]);
		_Gate.addOutputs([_SetLocation_001]);
		_Gate.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_001 = new armory.logicnode.GateNode(this);
		_Gate_001.property0 = "Equal";
		_Gate_001.property1 = 9.999999747378752e-05;
		var _OnEvent_002 = new armory.logicnode.OnEventNode(this);
		_OnEvent_002.property0 = "Score+1";
		_OnEvent_002.addOutputs([_Gate_001]);
		_Gate_001.addInput(_OnEvent_002, 0);
		_Gate_001.addInput(_Array_Integer_, 1);
		var _Integer_002 = new armory.logicnode.IntegerNode(this);
		_Integer_002.addInput(new armory.logicnode.IntegerNode(this, 11), 0);
		_Integer_002.addOutputs([_Gate_001]);
		_Gate_001.addInput(_Integer_002, 0);
		var _SetLocation_002 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_002.addInput(_Gate_001, 0);
		_SetLocation_002.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_002.addInput(new armory.logicnode.VectorNode(this, 58.0, 0.0, 27.0), 0);
		var _SetRotation_002 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_002.addInput(_SetLocation_002, 0);
		_SetRotation_002.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_002.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SendEvent_002 = new armory.logicnode.SendEventNode(this);
		_SendEvent_002.addInput(_SetRotation_002, 0);
		_SendEvent_002.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_002.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_002.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_002.addOutputs([_SendEvent_002]);
		_SetLocation_002.addOutputs([_SetRotation_002]);
		_Gate_001.addOutputs([_SetLocation_002]);
		_Gate_001.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_002 = new armory.logicnode.GateNode(this);
		_Gate_002.property0 = "Equal";
		_Gate_002.property1 = 9.999999747378752e-05;
		var _OnEvent_003 = new armory.logicnode.OnEventNode(this);
		_OnEvent_003.property0 = "Score+1";
		_OnEvent_003.addOutputs([_Gate_002]);
		_Gate_002.addInput(_OnEvent_003, 0);
		_Gate_002.addInput(_Array_Integer_, 1);
		var _Integer_003 = new armory.logicnode.IntegerNode(this);
		_Integer_003.addInput(new armory.logicnode.IntegerNode(this, 16), 0);
		_Integer_003.addOutputs([_Gate_002]);
		_Gate_002.addInput(_Integer_003, 0);
		var _SetLocation_003 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_003.addInput(_Gate_002, 0);
		_SetLocation_003.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_003.addInput(new armory.logicnode.VectorNode(this, 58.0, 0.0, 6.0), 0);
		var _SetRotation_004 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_004.addInput(_SetLocation_003, 0);
		_SetRotation_004.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_004.addInput(new armory.logicnode.VectorNode(this, 0.0, 1.5700000524520874, 0.0), 0);
		var _SendEvent_001 = new armory.logicnode.SendEventNode(this);
		_SendEvent_001.addInput(_SetRotation_004, 0);
		_SendEvent_001.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_001.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_001.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_004.addOutputs([_SendEvent_001]);
		_SetLocation_003.addOutputs([_SetRotation_004]);
		_Gate_002.addOutputs([_SetLocation_003]);
		_Gate_002.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_003 = new armory.logicnode.GateNode(this);
		_Gate_003.property0 = "Equal";
		_Gate_003.property1 = 9.999999747378752e-05;
		var _OnEvent_004 = new armory.logicnode.OnEventNode(this);
		_OnEvent_004.property0 = "Score+1";
		_OnEvent_004.addOutputs([_Gate_003]);
		_Gate_003.addInput(_OnEvent_004, 0);
		_Gate_003.addInput(_Array_Integer_, 1);
		var _Integer_004 = new armory.logicnode.IntegerNode(this);
		_Integer_004.addInput(new armory.logicnode.IntegerNode(this, 25), 0);
		_Integer_004.addOutputs([_Gate_003]);
		_Gate_003.addInput(_Integer_004, 0);
		var _SetLocation_004 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_004.addInput(_Gate_003, 0);
		_SetLocation_004.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_004.addInput(new armory.logicnode.VectorNode(this, 70.0, 0.0, -61.5), 0);
		var _SetRotation_005 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_005.addInput(_SetLocation_004, 0);
		_SetRotation_005.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_005.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SendEvent_003 = new armory.logicnode.SendEventNode(this);
		_SendEvent_003.addInput(_SetRotation_005, 0);
		_SendEvent_003.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_003.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_003.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_005.addOutputs([_SendEvent_003]);
		_SetLocation_004.addOutputs([_SetRotation_005]);
		_Gate_003.addOutputs([_SetLocation_004]);
		_Gate_003.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_006 = new armory.logicnode.GateNode(this);
		_Gate_006.property0 = "Equal";
		_Gate_006.property1 = 9.999999747378752e-05;
		var _OnEvent_007 = new armory.logicnode.OnEventNode(this);
		_OnEvent_007.property0 = "Score+1";
		_OnEvent_007.addOutputs([_Gate_006]);
		_Gate_006.addInput(_OnEvent_007, 0);
		_Gate_006.addInput(_Array_Integer_, 1);
		var _Integer_007 = new armory.logicnode.IntegerNode(this);
		_Integer_007.addInput(new armory.logicnode.IntegerNode(this, 89), 0);
		_Integer_007.addOutputs([_Gate_006]);
		_Gate_006.addInput(_Integer_007, 0);
		var _SetLocation_007 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_007.addInput(_Gate_006, 0);
		_SetLocation_007.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_007.addInput(new armory.logicnode.VectorNode(this, 147.10000610351562, 0.0, -80.5999984741211), 0);
		var _SetRotation_008 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_008.addInput(_SetLocation_007, 0);
		_SetRotation_008.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_008.addInput(new armory.logicnode.VectorNode(this, 0.0, 1.5700000524520874, 0.0), 0);
		var _SendEvent_006 = new armory.logicnode.SendEventNode(this);
		_SendEvent_006.addInput(_SetRotation_008, 0);
		_SendEvent_006.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_006.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_006.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_008.addOutputs([_SendEvent_006]);
		_SetLocation_007.addOutputs([_SetRotation_008]);
		_Gate_006.addOutputs([_SetLocation_007]);
		_Gate_006.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_005 = new armory.logicnode.GateNode(this);
		_Gate_005.property0 = "Equal";
		_Gate_005.property1 = 9.999999747378752e-05;
		var _OnEvent_006 = new armory.logicnode.OnEventNode(this);
		_OnEvent_006.property0 = "Score+1";
		_OnEvent_006.addOutputs([_Gate_005]);
		_Gate_005.addInput(_OnEvent_006, 0);
		_Gate_005.addInput(_Array_Integer_, 1);
		var _Integer_006 = new armory.logicnode.IntegerNode(this);
		_Integer_006.addInput(new armory.logicnode.IntegerNode(this, 62), 0);
		_Integer_006.addOutputs([_Gate_005]);
		_Gate_005.addInput(_Integer_006, 0);
		var _SetLocation_006 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_006.addInput(_Gate_005, 0);
		_SetLocation_006.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_006.addInput(new armory.logicnode.VectorNode(this, 143.10000610351562, 0.0, -80.5999984741211), 0);
		var _SetRotation_007 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_007.addInput(_SetLocation_006, 0);
		_SetRotation_007.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_007.addInput(new armory.logicnode.VectorNode(this, 0.0, 1.5700000524520874, 0.0), 0);
		var _SendEvent_005 = new armory.logicnode.SendEventNode(this);
		_SendEvent_005.addInput(_SetRotation_007, 0);
		_SendEvent_005.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_005.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_005.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_007.addOutputs([_SendEvent_005]);
		_SetLocation_006.addOutputs([_SetRotation_007]);
		_Gate_005.addOutputs([_SetLocation_006]);
		_Gate_005.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_004 = new armory.logicnode.GateNode(this);
		_Gate_004.property0 = "Equal";
		_Gate_004.property1 = 9.999999747378752e-05;
		var _OnEvent_005 = new armory.logicnode.OnEventNode(this);
		_OnEvent_005.property0 = "Score+1";
		_OnEvent_005.addOutputs([_Gate_004]);
		_Gate_004.addInput(_OnEvent_005, 0);
		_Gate_004.addInput(_Array_Integer_, 1);
		var _Integer_005 = new armory.logicnode.IntegerNode(this);
		_Integer_005.addInput(new armory.logicnode.IntegerNode(this, 35), 0);
		_Integer_005.addOutputs([_Gate_004]);
		_Gate_004.addInput(_Integer_005, 0);
		var _SetLocation_005 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_005.addInput(_Gate_004, 0);
		_SetLocation_005.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetLocation_005.addInput(new armory.logicnode.VectorNode(this, 65.0, 0.0, -80.5), 0);
		var _SetRotation_006 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_006.addInput(_SetLocation_005, 0);
		_SetRotation_006.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_SetRotation_006.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SendEvent_004 = new armory.logicnode.SendEventNode(this);
		_SendEvent_004.addInput(_SetRotation_006, 0);
		_SendEvent_004.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_004.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		_SendEvent_004.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_006.addOutputs([_SendEvent_004]);
		_SetLocation_005.addOutputs([_SetRotation_006]);
		_Gate_004.addOutputs([_SetLocation_005]);
		_Gate_004.addOutputs([new armory.logicnode.NullNode(this)]);
		var _Gate_007 = new armory.logicnode.GateNode(this);
		_Gate_007.property0 = "Equal";
		_Gate_007.property1 = 9.999999747378752e-05;
		var _OnEvent_008 = new armory.logicnode.OnEventNode(this);
		_OnEvent_008.property0 = "Score+1";
		_OnEvent_008.addOutputs([_Gate_007]);
		_Gate_007.addInput(_OnEvent_008, 0);
		_Gate_007.addInput(_Array_Integer_, 1);
		var _Integer_009 = new armory.logicnode.IntegerNode(this);
		_Integer_009.addInput(new armory.logicnode.IntegerNode(this, 93), 0);
		_Integer_009.addOutputs([_Gate_007]);
		_Gate_007.addInput(_Integer_009, 0);
		var _RemoveObject = new armory.logicnode.RemoveObjectNode(this);
		_RemoveObject.addInput(_Gate_007, 0);
		_RemoveObject.addInput(new armory.logicnode.ObjectNode(this, "L1.Level.Secret1"), 0);
		var _SetLocation_011 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_011.addInput(_RemoveObject, 0);
		_SetLocation_011.addInput(new armory.logicnode.ObjectNode(this, "L1.Level.Secret1.Part2"), 0);
		_SetLocation_011.addInput(new armory.logicnode.VectorNode(this, -14.0, 0.0, -6.0), 0);
		var _SetRotation = new armory.logicnode.SetRotationNode(this);
		_SetRotation.addInput(_SetLocation_011, 0);
		_SetRotation.addInput(new armory.logicnode.ObjectNode(this, "69NewsClassic"), 0);
		_SetRotation.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SetLocation_008 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_008.addInput(_SetRotation, 0);
		_SetLocation_008.addInput(new armory.logicnode.ObjectNode(this, "69NewsClassic"), 0);
		_SetLocation_008.addInput(new armory.logicnode.VectorNode(this, -23.299999237060547, 0.0, -4.0), 0);
		var _SendEvent_008 = new armory.logicnode.SendEventNode(this);
		_SendEvent_008.addInput(_SetLocation_008, 0);
		_SendEvent_008.addInput(new armory.logicnode.StringNode(this, "door"), 0);
		_SendEvent_008.addInput(new armory.logicnode.ObjectNode(this, "L1.Env.Blocker.Sound"), 0);
		var _RemoveObject_002 = new armory.logicnode.RemoveObjectNode(this);
		_RemoveObject_002.addInput(_SendEvent_008, 0);
		_RemoveObject_002.addInput(new armory.logicnode.ObjectNode(this, ""), 0);
		_RemoveObject_002.addOutputs([new armory.logicnode.NullNode(this)]);
		_SendEvent_008.addOutputs([_RemoveObject_002]);
		_SetLocation_008.addOutputs([_SendEvent_008]);
		_SetRotation.addOutputs([_SetLocation_008]);
		var _SetRotation_009 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_009.addInput(_SetLocation_011, 0);
		_SetRotation_009.addInput(new armory.logicnode.ObjectNode(this, "STD"), 0);
		_SetRotation_009.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SetLocation_009 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_009.addInput(_SetRotation_009, 0);
		_SetLocation_009.addInput(new armory.logicnode.ObjectNode(this, "STD"), 0);
		_SetLocation_009.addInput(new armory.logicnode.VectorNode(this, -29.299999237060547, 0.0, -4.0), 0);
		_SetLocation_009.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_009.addOutputs([_SetLocation_009]);
		var _SetRotation_010 = new armory.logicnode.SetRotationNode(this);
		_SetRotation_010.addInput(_SetLocation_011, 0);
		_SetRotation_010.addInput(new armory.logicnode.ObjectNode(this, "SV.Black"), 0);
		_SetRotation_010.addInput(new armory.logicnode.VectorNode(this, 0.0, 0.0, 0.0), 0);
		var _SetLocation_010 = new armory.logicnode.SetLocationNode(this);
		_SetLocation_010.addInput(_SetRotation_010, 0);
		_SetLocation_010.addInput(new armory.logicnode.ObjectNode(this, "SV.Black"), 0);
		_SetLocation_010.addInput(new armory.logicnode.VectorNode(this, -17.299999237060547, 0.0, -4.0), 0);
		_SetLocation_010.addOutputs([new armory.logicnode.NullNode(this)]);
		_SetRotation_010.addOutputs([_SetLocation_010]);
		_SetLocation_011.addOutputs([_SetRotation, _SetRotation_009, _SetRotation_010]);
		_RemoveObject.addOutputs([_SetLocation_011]);
		_Gate_007.addOutputs([_RemoveObject]);
		_Gate_007.addOutputs([new armory.logicnode.NullNode(this)]);
		_Array_Integer_.addOutputs([_Gate, _Gate_001, _Gate_002, _Gate_003, _Gate_006, _Gate_005, _Gate_004, _Gate_007]);
		_ArrayAdd.addInput(_Array_Integer_, 0);
		var _Integer = new armory.logicnode.IntegerNode(this);
		_Integer.addInput(new armory.logicnode.IntegerNode(this, 1), 0);
		_Integer.addOutputs([_ArrayAdd]);
		_ArrayAdd.addInput(_Integer, 0);
		_ArrayAdd.addOutputs([new armory.logicnode.NullNode(this)]);
	}
}
